classification
Title: venv API docs - symlinks default incorrect
Type: Stage: resolved
Components: Library (Lib) Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jaraco, vinay.sajip
Priority: normal Keywords: patch

Created on 2018-01-08 14:58 by jaraco, last changed 2018-06-01 17:57 by vinay.sajip. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7296 merged vinay.sajip, 2018-06-01 07:49
PR 7299 merged miss-islington, 2018-06-01 09:12
PR 7300 merged miss-islington, 2018-06-01 09:13
Messages (4)
msg309667 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2018-01-08 14:58
In the API docs for EnvBuilder.symlinks, it states "Defaults to True on Linux and Unix systems, but False on Windows." But in fact, the implementation takes the value passed, which always defaults to False. It's only on the command-line that the default is inferred from the system. Presumably, the fix is to strike that sentence from the docs.
msg318374 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2018-06-01 09:08
New changeset c0d341d49b3ffc8b0037e501c246271be9c69f55 by Vinay Sajip in branch 'master':
bpo-32519: Removed misleading sentence from EnvBuilder documentation. (GH-7296)
https://github.com/python/cpython/commit/c0d341d49b3ffc8b0037e501c246271be9c69f55
msg318446 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2018-06-01 17:56
New changeset 1df877caad584135263ef94d83a28251e162e643 by Vinay Sajip (Miss Islington (bot)) in branch '3.6':
bpo-32519: Removed misleading sentence from EnvBuilder documentation. (GH-7296) (GH-7299)
https://github.com/python/cpython/commit/1df877caad584135263ef94d83a28251e162e643
msg318447 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2018-06-01 17:57
New changeset 283e12f91db1a5290f2ddbddee406797fec39d2e by Vinay Sajip (Miss Islington (bot)) in branch '3.7':
bpo-32519: Removed misleading sentence from EnvBuilder documentation. (GH-7296) (#7300)
https://github.com/python/cpython/commit/283e12f91db1a5290f2ddbddee406797fec39d2e
History
Date User Action Args
2018-06-01 17:57:14vinay.sajipsetmessages: + msg318447
2018-06-01 17:56:50vinay.sajipsetmessages: + msg318446
2018-06-01 09:13:06miss-islingtonsetpull_requests: + pull_request6930
2018-06-01 09:12:04miss-islingtonsetpull_requests: + pull_request6929
2018-06-01 09:11:19vinay.sajipsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-01 09:08:36vinay.sajipsetmessages: + msg318374
2018-06-01 07:49:06vinay.sajipsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6925
2018-05-18 13:25:34berker.peksagsetnosy: + vinay.sajip
2018-01-08 14:58:36jaracocreate